Bug 1258112 - [abrt] WARNING: CPU: 1 PID: 1274 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]() [i915]
[abrt] WARNING: CPU: 1 PID: 1274 at drivers/gpu/drm/i915/intel_uncore.c:566 h...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4fbc2fd3d46e90239d154b5d2b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 05:34 EDT by Artem
Modified: 2016-07-19 13:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (70.40 KB, text/plain)
2015-08-29 05:34 EDT, Artem
no flags Details

  None (edit)
Description Artem 2015-08-29 05:34:20 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 1 PID: 1274 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
Unclaimed register detected after reading register 0x44200
Modules linked in: rfcomm cmac ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep uvcvideo videobuf2_vmalloc snd_usb_audio videobuf2_core intel_rapl iosf_mbi videobuf2_memops x86_pkg_temp_thermal coretemp v4l2_common kvm_intel snd_usbmidi_lib snd_rawmidi arc4 videodev joydev media iTCO_wdt iTCO_vendor_support kvm iwlmvm mac80211 crct10dif_pclmul iwlwifi crc32_pclmul btusb crc32c_intel ghash_clmulni_intel snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel
 btbcm btintel cfg80211 snd_hda_controller snd_soc_rt5640 snd_soc_rl6231 bluetooth snd_hda_codec tpm_tis shpchp snd_soc_core snd_compress tpm snd_pcm_dmaengine regmap_i2c rfkill snd_hda_core snd_hwdep dw_dmac snd_seq snd_seq_device snd_pcm snd_soc_sst_acpi mei_me mei i2c_designware_platform i2c_i801 i2c_designware_core lpc_ich ir_lirc_codec ir_jvc_decoder ir_sharp_decoder ir_xmp_decoder ir_sanyo_decoder ir_sony_decoder ir_mce_kbd_decoder ir_rc5_decoder ir_rc6_decoder ir_nec_decoder lirc_dev mfd_core rc_rc6_mce nuvoton_cir rc_core dw_dmac_core snd_timer snd soundcore acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core sdhci_acpi sdhci mmc_core video i2c_hid uas
 usb_storage
CPU: 1 PID: 1274 Comm: Xorg Not tainted 4.1.6-200.fc22.x86_64 #1
Hardware name:                  /NUC5i5RYB, BIOS RYBDWi35.86A.0350.2015.0812.1722 08/12/2015
 0000000000000000 0000000065383f2f ffff880456c83d08 ffffffff8179b97d
 0000000000000000 ffff880456c83d60 ffff880456c83d48 ffffffff810a165a
 ffff880456c83d48 ffff88043fc80000 0000000000044200 0000000080000002
Call Trace:
 <IRQ>  [<ffffffff8179b97d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01ab7f9>] hsw_unclaimed_reg_debug+0x79/0xa0 [i915]
 [<ffffffffa01ade6e>] gen6_read32+0xce/0x190 [i915]
 [<ffffffffa01ae3ba>] ? gen8_write32+0x10a/0x1c0 [i915]
 [<ffffffffa0199fbf>] gen8_irq_handler+0x4f/0x4a0 [i915]
 [<ffffffff814c1079>] ? add_interrupt_randomness+0x49/0x200
 [<ffffffff810fa4c7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810fa62b>] handle_irq_event+0x3b/0x60
 [<ffffffff810fd9fe>] handle_edge_irq+0x6e/0x120
 [<ffffffff810173b4>] handle_irq+0x74/0x140
 [<ffffffff817a4c8f>] do_IRQ+0x4f/0xf0
 [<ffffffff817a2a6e>] common_interrupt+0x6e/0x6e
 <EOI>  [<ffffffffa01a2ac8>] ? intel_logical_ring_advance_and_submit+0x118/0x2c0 [i915]
 [<ffffffffa01851a5>] ? __i915_add_request+0xd5/0x2a0 [i915]
 [<ffffffffa0185155>] ? __i915_add_request+0x85/0x2a0 [i915]
 [<ffffffffa017ceeb>] i915_gem_execbuffer_retire_commands+0x1b/0x20 [i915]
 [<ffffffffa01a3b3d>] intel_execlists_submission+0x3ed/0x530 [i915]
 [<ffffffffa017c32a>] i915_gem_do_execbuffer.isra.23+0x8aa/0x1130 [i915]
 [<ffffffffa00da707>] ? drm_wait_vblank+0x247/0x5e0 [drm]
 [<ffffffff8120c779>] ? __kmalloc+0x1d9/0x2a0
 [<ffffffffa017dea2>] i915_gem_execbuffer2+0xb2/0x2b0 [i915]
 [<ffffffffa00d79df>] drm_ioctl+0x12f/0x620 [drm]
 [<ffffffffa017ddf0>] ? i915_gem_execbuffer+0x440/0x440 [i915]
 [<ffffffff8110be3c>] ? __hrtimer_start_range_ns+0x2ac/0x430
 [<ffffffff8123fcf6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff8123ff81>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a1f2e>] system_call_fastpath+0x12/0x71
Comment 1 Artem 2015-08-29 05:34:26 EDT
Created attachment 1068219 [details]
File: dmesg
Comment 2 Artem 2015-08-29 05:38:58 EDT
Well, the bug is actually a duplicate of #1257481 (except that it is a different version and the stacktrace looks a bit different, but might be more useful)
Comment 3 James 2015-09-20 18:39:08 EDT
Description of problem:
I was watching a video in VLC. Broadwell CPU i5-5200U with Intel HD 5500 graphics. xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.6-201.fc22.x86_64 root=/dev/mapper/fedora_kowalski-root ro rd.lvm.lv=fedora_kowalski/root rd.lvm.lv=fedora_kowalski/swap rhgb quiet LANG=en_GB.UTF-8
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
Unclaimed register detected after reading register 0x44200
Modules linked in: uas usb_storage rfcomm fuse cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_soc_rt5640 snd_soc_rl6231 arc4 intel_rapl snd_soc_core snd_hda_codec rtl8821ae snd_hda_core iosf_mbi snd_compress snd_pcm_dmaengine snd_hwdep btcoexist x86_pkg_temp_thermal
 rtl_pci rtlwifi coretemp snd_seq snd_seq_device mac80211 uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops iTCO_wdt v4l2_common kvm_intel videodev snd_pcm kvm cfg80211 iTCO_vendor_support media acer_wmi sparse_keymap snd_timer rtsx_pci_ms memstick snd soundcore crct10dif_pclmul crc32_pclmul ghash_clmulni_intel btusb btbcm btintel bluetooth rfkill regmap_i2c shpchp tpm_tis tpm dw_dmac dw_dmac_core i2c_designware_platform i2c_designware_core i2c_i801 snd_soc_sst_acpi mei_me mei lpc_ich acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c nouveau i915 rtsx_pci_sdmmc mxm_wmi ttm i2c_algo_bit drm_kms_helper 8021q garp stp crc32c_intel llc mrp serio_raw drm r8169 rtsx_pci mfd_core mii wmi sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.1.6-201.fc22.x86_64 #1
Hardware name: LENOVO F0B100CLUK/CRESCENTBAY, BIOS O1XKT06AUS 02/26/2015
 0000000000000000 66aef87eea0c773f ffff88022ed03d08 ffffffff81799a6d
 0000000000000000 ffff88022ed03d60 ffff88022ed03d48 ffffffff810a165a
 ffff88022ed03d58 ffff88003f5e0000 0000000000044200 0000000080000000
Call Trace:
 <IRQ>  [<ffffffff81799a6d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01df7f9>] hsw_unclaimed_reg_debug+0x79/0xa0 [i915]
 [<ffffffffa01e1e6e>] gen6_read32+0xce/0x190 [i915]
 [<ffffffffa01e23ba>] ? gen8_write32+0x10a/0x1c0 [i915]
 [<ffffffffa01ce184>] gen8_irq_handler+0x214/0x4a0 [i915]
 [<ffffffff810fa4c7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810fa62b>] handle_irq_event+0x3b/0x60
 [<ffffffff810fd9fe>] handle_edge_irq+0x6e/0x120
 [<ffffffff810173b4>] handle_irq+0x74/0x140
 [<ffffffff810c1afa>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff817a2d8f>] do_IRQ+0x4f/0xf0
 [<ffffffff817a0b6e>] common_interrupt+0x6e/0x6e
 <EOI>  [<ffffffff81631fe0>] ? cpuidle_enter_state+0xa0/0x1f0
 [<ffffffff81631fb3>] ? cpuidle_enter_state+0x73/0x1f0
 [<ffffffff81632167>] cpuidle_enter+0x17/0x20
 [<ffffffff810e5361>] cpu_startup_entry+0x2e1/0x3f0
 [<ffffffff8104fb91>] start_secondary+0x191/0x1d0
Comment 4 Vukasin NIkodijevic 2015-09-21 01:00:17 EDT
Description of problem:
Just enabled external monitor in KDE Display

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.6-201.fc22.x86_64 root=UUID=dd20d279-8340-44fb-86a3-b416e54192d5 ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 32046 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
Unclaimed register detected before reading register 0x44200
Modules linked in: cdc_ether usbnet r8152 mii xt_nat veth vhost_net vhost macvtap macvlan ccm rfcomm cmac xt_CHECKSUM iptable_mangle xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 tun nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype br_netfilter nf_nat nf_conntrack bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop bnep arc4 iwlmvm mac80211 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel iwlwifi snd_soc_rt5640 snd_soc_rl6231 vfat fat snd_hda_codec_hdmi snd_hda_codec_conexant uvcvideo snd_hda_codec_generic snd_soc_core cfg80211 kvm snd_hda_intel videobuf2_vmalloc snd_hda_controller snd_hda_codec btusb videobuf2_core snd_compress snd_pcm_dmaengine asus_nb_wmi btbcm btintel snd_hda_core
 iTCO_wdt bluetooth iTCO_vendor_support snd_hwdep snd_seq asus_wmi videobuf2_memops sparse_keymap v4l2_common videodev crct10dif_pclmul crc32_pclmul crc32c_intel snd_seq_device media snd_pcm ghash_clmulni_intel joydev lpc_ich shpchp rfkill mfd_core mei_me i2c_i801 mei wmi snd_timer regmap_i2c dw_dmac dw_dmac_core snd snd_soc_sst_acpi tpm_crb i2c_designware_platform int3400_thermal i2c_designware_core int3402_thermal tpm acpi_thermal_rel processor_thermal_device soundcore acpi_pad int340x_thermal_zone nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 32046 Comm: Xorg Not tainted 4.1.6-201.fc22.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX305FA/UX305FA, BIOS UX305FA.204 11/20/2014
 0000000000000000 000000003c93073e ffff88021ec03d08 ffffffff81799a6d
 0000000000000000 ffff88021ec03d60 ffff88021ec03d48 ffffffff810a165a
 ffff88021526bb40 ffff88003fb00000 0000000000044200 ffff88003fb00000
Call Trace:
 <IRQ>  [<ffffffff81799a6d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff810cb86d>] ? ttwu_do_activate.constprop.87+0x5d/0x70
 [<ffffffffa013a7f9>] hsw_unclaimed_reg_debug+0x79/0xa0 [i915]
 [<ffffffffa013cdf6>] gen6_read32+0x56/0x190 [i915]
 [<ffffffff811090c0>] ? internal_add_timer+0xc0/0xc0
 [<ffffffffa0128fbf>] gen8_irq_handler+0x4f/0x4a0 [i915]
 [<ffffffffa013aa10>] ? assert_device_not_suspended.isra.11+0x60/0x60 [i915]
 [<ffffffff810fa4c7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810fa62b>] handle_irq_event+0x3b/0x60
 [<ffffffff810fd9fe>] handle_edge_irq+0x6e/0x120
 [<ffffffff810173b4>] handle_irq+0x74/0x140
 [<ffffffff817a2d8f>] do_IRQ+0x4f/0xf0
 [<ffffffff817a0b6e>] common_interrupt+0x6e/0x6e
 <EOI>  [<ffffffff8179f9b2>] ? _raw_spin_unlock_irqrestore+0x12/0x20
 [<ffffffffa0131ac8>] intel_logical_ring_advance_and_submit+0x118/0x2c0 [i915]
 [<ffffffffa0132f15>] gen8_emit_request+0xe5/0x130 [i915]
 [<ffffffffa0114155>] __i915_add_request+0x85/0x2a0 [i915]
 [<ffffffffa010beeb>] i915_gem_execbuffer_retire_commands+0x1b/0x20 [i915]
 [<ffffffffa0132b3d>] intel_execlists_submission+0x3ed/0x530 [i915]
 [<ffffffffa010b32a>] i915_gem_do_execbuffer.isra.23+0x8aa/0x1130 [i915]
 [<ffffffffa0069707>] ? drm_wait_vblank+0x247/0x5e0 [drm]
 [<ffffffff8120c779>] ? __kmalloc+0x1d9/0x2a0
 [<ffffffffa010cea2>] i915_gem_execbuffer2+0xb2/0x2b0 [i915]
 [<ffffffffa00669df>] drm_ioctl+0x12f/0x620 [drm]
 [<ffffffffa010cdf0>] ? i915_gem_execbuffer+0x440/0x440 [i915]
 [<ffffffff8110be3c>] ? __hrtimer_start_range_ns+0x2ac/0x430
 [<ffffffff8123fcf6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff81664011>] ? __sys_recvmsg+0x91/0xa0
 [<ffffffff8123ff81>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a002e>] system_call_fastpath+0x12/0x71
Comment 5 Fedora End Of Life 2016-07-19 13:42:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.